Subject: Re: [NOBBC] NOBBC ride this Saturday?

From: "John Kenner" <[email-masked]>
Date: Fri, 25 Oct 2013 08:36:53 -0700

I can't make it this week. Too much on the Honey Do list.

I'm jealous about the Rover 3500. I love those. Leather seats?

JOHN KENNER

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of NOBBC
Sent: Thursday, October 24, 2013 7:35 PM
To: [email-masked]; North Bay British Car Club
Subject: Re: [NOBBC] NOBBC ride this Saturday? [1 Attachment]

Well, heck, Jim, it's already on a trailer...
;-)

On 10/24/2013 7:33 PM, James Legg wrote:
> [Attachment(s) <#TopText> from James Legg included below] Not sure if 
> I can make it, but really want to show off new ride id I can get it 
> roadable!  1970 Rover 3500S with 215 V8.  Will try to post a pic.
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive
http://autox.team.net/mailman/options/nobbc/[email-masked]
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive